Bug 675229 - Install of cpu-x86_64.conf bombs for an out of tree build..
Install of cpu-x86_64.conf bombs for an out of tree build..
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.1
All Linux
medium Severity low
: rc
: ---
Assigned To: john cooper
Virtualization Bugs
:
Depends On: 610805
Blocks: 580953 605830
  Show dependency treegraph
 
Reported: 2011-02-04 11:52 EST by john cooper
Modified: 2014-07-24 23:46 EDT (History)
10 users (show)

See Also:
Fixed In Version: qemu-kvm-0.12.1.2-2.144.el6
Doc Type: Bug Fix
Doc Text:
[Note, this is an internal build issue. Documenting for completeness but AFAICT this doesn't impact the user as the bug doesn't exist in released code] Cause Stuff of cpu-x86_64.conf into the host needs a SRC_PATH prefix otherwise out of tree builds fail to find the source config file. Consequence Build failure. Fix Add missing SRC_PATH prefix to makefile. Result Build occurrs normally.
Story Points: ---
Clone Of: 610805
Environment:
Last Closed: 2011-05-19 07:29:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 6 juzhang 2011-03-01 21:42:06 EST
Reproduced on qemu-kvm-0.12.1.2-2.143.el6.x86_64,not including latest "Westmere" model.
/usr/libexec/qemu-kvm -nodefconfig -cpu ?
x86       Opteron_G3
x86       Opteron_G2
x86       Opteron_G1
x86          Nehalem
x86           Penryn
x86           Conroe
x86      cpu64-rhel5
x86      cpu64-rhel6
x86           [n270]
x86         [athlon]
x86       [pentium3]
x86       [pentium2]
x86        [pentium]
x86            [486]
x86        [coreduo]
x86         [qemu32]
x86          [kvm64]
x86       [core2duo]
x86         [phenom]
x86         [qemu64]

Verified this issue on qemu-kvm-0.12.1.2-2.148.el6.x86_64,results includes all support cpu models.
/usr/libexec/qemu-kvm -nodefconfig -cpu ?
x86       Opteron_G3
x86       Opteron_G2
x86       Opteron_G1
x86         Westmere
x86          Nehalem
x86           Penryn
x86           Conroe
x86      cpu64-rhel5
x86      cpu64-rhel6
x86           [n270]
x86         [athlon]
x86       [pentium3]
x86       [pentium2]
x86        [pentium]
x86            [486]
x86        [coreduo]
x86         [qemu32]
x86          [kvm64]
x86       [core2duo]
x86         [phenom]
x86         [qemu64]
Comment 8 john cooper 2011-05-05 10:48:41 EDT
Add CCFR.
Comment 9 john cooper 2011-05-05 10:48:41 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
[Note, this is an internal build issue.  Documenting for
completeness but AFAICT this doesn't impact the user as
the bug doesn't exist in released code]

Cause
    Stuff of cpu-x86_64.conf into the host needs a SRC_PATH prefix
otherwise out of tree builds fail to find the source config
file.

Consequence
    Build failure.

Fix
    Add missing SRC_PATH prefix to makefile.

Result
    Build occurrs normally.
Comment 10 errata-xmlrpc 2011-05-19 07:29:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0534.html
Comment 11 errata-xmlrpc 2011-05-19 09:01:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0534.html

Note You need to log in before you can comment on or make changes to this bug.